BuyseRes-confint {BuyseTest} | R Documentation

## Confidence Intervals for Model Parameters

### Description

Computes confidence intervals for net benefit statistic or the win ratio statistic.

### Usage

    ## S4 method for signature 'BuyseRes'
    confint(object, statistic = NULL,
      conf.level = NULL, alternative = NULL, method.boot = "percentile",
      transformation = NULL)

### Arguments

`object` | an R object of class `BuyseRes`, i.e., output of `BuyseTest`
`statistic` | [character] the statistic summarizing the pairwise comparison: `"netBenefit"` displays the net benefit, as described in Buyse (2010) and Peron et al. (2016)), whereas `"winRatio"` displays the win ratio, as described in Wang et al. (2016). Default value read from `BuyseTest.options()`.
`conf.level` | [numeric] confidence level for the confidence intervals. Default value read from `BuyseTest.options()`.
`alternative` | [character] the type of alternative hypothesis: `"two.sided"`, `"greater"`, or `"less"`. Default value read from `BuyseTest.options()`.
`method.boot` | [character] the method used to compute the boostrap confidence intervals and p-values. Can be `"percentile"` for computing the CI using the quantiles of the boostrap distribution or `"gaussian"` for using a Gaussian approximation to compute the CI where the standard error is computed using the bootstrap samples.
`transformation` | [logical] should the CI be computed on the logit scale / log scale for the net benefit / win ratio and backtransformed. Otherwise they are computed without any transformation. Default value read from `BuyseTest.options()`.

### Details

When using a permutation test, the uncertainty associated with the estimator is computed under the null hypothesis. Thus the confidence interval may not be valid if the null hypothesis is false.
More precisely, the quantiles of the distribution of the statistic are computed under the null hypothesis and then shifted by the point estimate of the statistic. Therefore it is possible that the limits of the confidence interval are estimated outside of the interval of definition of the statistic (e.g. outside [-1,1] for the proportion in favor of treatment).

### Value

A matrix containing a column for the estimated statistic (over all strata), the lower bound and upper bound of the confidence intervals, and the associated p-values. When using resampling methods, an attribute `n.resampling` specified how many samples have been used to compute the confidence intervals and the p-values.

### See Also

`BuyseTest` for performing a generalized pairwise comparison.
`BuyseRes-summary` for a more detailed presentation of the `BuyseRes` object.

[Package BuyseTest version 1.7 Index]